1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk 8.1 ASL RHEL4, + Is 64bit recommended ?

Discussion in 'Plesk for Linux - 8.x and Older' started by benji, Apr 5, 2007.

  1. benji

    benji Guest

    0
     
    Hi,

    I've got a new box, 64bit cappable, and I'm setting everything up.

    Chosen OS is RHEL4, the question is, is it recommeded to install RHEL4 64 bit OS + Plesk 8.1 64bit, and also i will install ASL, is ASL ready for 64bit?.

    I would like to use MySQL 5, PHP 5 and Ruby on Rails in near future. As well as some automated imaging backup system (Acronis True Image- plesk module)

    Is there any 64 bit issue, with either, plesk 8.1, rhel4, ASL, Acronis... ?

    Also will there be any migration issues in migrating from my old RHEL3 Plesk 7.5.4 32bit box?

    Thanks
     
  2. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    Im using ASL and PSA 8.1.1 on several 64-bit CentOS4 boxes now. The only thing Ive never tested is Acronis, which I think uses a kernel module. If it does, and there is no source code type install, then its not going to work. Otherwise I can confirm that tomcat, ruby, php, mysql5, etc all work normally.
     
  3. benji

    benji Guest

    0
     
    Thank you ART.

    By the way, do you recommend CentOS4 over RHEL4? is there any significant differences?

    Are there any other global backup solutions (full system imaging... ) supported by ASL CentOS/RHEL, 64bit ... ?

    I'm not using RAID at the time, so i concern abt restoring my system fast after a hardware failure (i.e. HD failure)

    Thanks!
     
  4. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    Centos is RHEL with all the red hat trademarks removed, and Yum support. Its the yum support, and the additional CentOS channels (centosplus, and fasttrack) that make it the most valuable to me. As far as a good hosting platform goes, they're both identical. 7 year support cycles, etc. Plus its free of course, which makes it more accessible.
     
  5. benji

    benji Guest

    0
     
    Thank you.

    I'll go for CentOS 4.4 x86_64

    :D
     
  6. benji

    benji Guest

    0
     
    Ops "the planet" wont install centos 64 bit, had to go for rhel4 64bit. :(
     
  7. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
  8. benji

    benji Guest

    0
     
  9. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    Valics did a great job with that tutorial. Section 2, needs some updating because of the way I've moved things around. Id do this instead:

    2. (this is the yum section) wget -q -O - http://www.atomicorp.com/installers/atomic.sh | sh
     
  10. benji

    benji Guest

    0
     
    OK! :)

    Many thanks ART.
     
  11. benji

    benji Guest

    0
     
    Its embarassing but...

    I couldnt figure out how to install yum on my RHEL 4 box, couldnt find any rpm's .

    Couldnt find intrucctions on your website abt how to install yum (all of them supose that i have yum installed on my system, but I do not) I also tried some instruccions i found from eth0 on google, but no luck.

    Any easy way to install yum on my rhel 4 64 bit box?

    Thankyou.
     
  12. benji

    benji Guest

    0
     
    Hi, i added the line:

    yum centos-base http://mirror.centos.org/centos/4/os/$ARCH/

    to my:
    /etc/sysconfig/rhn/sources file.

    And did:

    PHP:
    [root@server1 rhn]# up2date -i yum --nosig

    Fetching Obsoletes list for channelrhel-x86_64-es-4...

    Fetching Obsoletes list for channelcentos-base...

    Fetching rpm headers...
    ########################################

    Name                                    Version        Rel     
    ----------------------------------------------------------
    yum                                     2.4.3          1                 noarch


    Testing package set 
    solving RPM inter-dependencies...

    Downloading headers to solve dependencies...
    #######################################
    Downloading headers to solve dependencies...
    ########################################
    centos-release-4-4.2.x86_64 ########################## Done.                   
    python-elementtree-1.2.6-4. ########################## Done.                   
    python-sqlite-1.1.7-1.2.x86 ########################## Done.                   
    python-urlgrabber-2.9.8-2.n ########################## Done.                   
    yum-2.4.3-1.noarch.rpm:     ########################## Done.                   
    sqlite-3.3.3-1.2.x86_64.rpm ########################## Done.                   
    Preparing              ########################################### [100%]

    Installing...
       
    1:sqlite                 ########################################### [100%]
       
    2:python-sqlite          ########################################### [100%]
       
    3:python-urlgrabber      ########################################### [100%]
       
    4:python-elementtree     ########################################### [100%]
       
    5:centos-release         warning: /etc/sysconfig/rhn/sources created as /etc/sysconfig/rhn/sources.rpmnew
    ########################################### [100%]
       
    6:yum                    ########################################### [100%]
    The following packages were added to your selection to satisfy dependencies:

    Name                                    Version        Release
    --------------------------------------------------------------
    centos-release                          4              4.2                 
    python
    -elementtree                      1.2.6          4.2.1               
    python
    -sqlite                           1.1.7          1.2                 
    python
    -urlgrabber                       2.9.8          2                   
    sqlite                                  3.3.3          1.2                 

    [root@server1 rhn]#

    After that, i've seen that it has installed "centos-release" package, and doing some more investigation:

    PHP:
    [root@server1 rhn]# rpm -q --provides centos-release
    config(centos-release) = 6:4-4.2
    redhat
    -release  
    yumconf  
    centos
    -release 6:4-4.2
    [root@server1 rhn]# cat /etc/redhat-release 
    CentOS release 4.4 (Final)
    Now i can see that the release shown on /etc/redhat-release is CentOS 4.4, actually my system is a RedHat 4, not a CentOS, will this affect my box?
     
  13. breun

    breun Golden Pleskian

    29
     
    Joined:
    Jun 28, 2005
    Messages:
    1,647
    Likes Received:
    0
    Technically you're box is no longer a RHEL box if you've added the CentOS repositories.
     
  14. benji

    benji Guest

    0
     
    Yep, finaly did "yum update" and now my box is CentOS 4...

    Thing is that i can't get it to set up php5, since it says that there is a dependency problem with php 4... i'm investigating on it right now.

    Thank you
     
  15. breun

    breun Golden Pleskian

    29
     
    Joined:
    Jun 28, 2005
    Messages:
    1,647
    Likes Received:
    0
    If you enable the CentOS Plus repository it should be pretty easy to upgrade to PHP 5.
     
  16. benji

    benji Guest

    0
     
    Actually i'm trying to update to mysql5 with the centos plus channel, and i'm getting conflict messages here is what i get:

    PHP:
    root@server1 etc]# yum update mysql
    Setting up Update Process
    Setting up repositories
    Reading repository metadata in from local files
    Resolving Dependencies
    --> Populating transaction set with selected packagesPlease wait.
    ---> 
    Package mysql.x86_64 0:5.0.27-1.el4.centos set to be updated
    --> Running transaction check
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagepsa-qmail
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagecs-gs
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-bf2
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-bf1942
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagepsa-ruby-mysql
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-fileserver
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagephp-mysql
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagephp51-mysqli
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagemysql-server
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagephp-mysql
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagephp51-mysql
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagepsa-courier-imap-add
    --> Processing Dependencylibmysqlclient_r.so.14(libmysqlclient_14)(64bit) for packagemysql-server
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagemysql-server
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagephp51-pdo_mysql
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-ruby-mysql
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-courier-imap-add
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagecs-gs
    --> Processing Dependencylibmysqlclient.so.14()(64bit) for packagepsa-qmail
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagepsa-fileserver
    --> Processing Dependencylibmysqlclient.so.14(libmysqlclient_14)(64bit) for packagepsa
    --> Processing Dependencylibmysqlclient_r.so.14()(64bit) for packagemysql-server
    --> Restarting Dependency Resolution with new changes.
    --> 
    Populating transaction set with selected packagesPlease wait.
    ---> 
    Package php-mysql.x86_64 0:5.1.6-3.el4s1.5 set to be updated
    ---> Package mysqlclient14.x86_64 0:4.1.22-1.el4s1.1 set to be updated
    ---> Package mysql-server.x86_64 0:5.0.27-1.el4.centos set to be updated
    --> Running transaction check
    --> Processing Dependencyphp-common 5.1.6-3.el4s1.5 for packagephp-mysql
    --> Processing Dependencyphp-pdo for packagephp-mysql
    --> Restarting Dependency Resolution with new changes.
    --> 
    Populating transaction set with selected packagesPlease wait.
    ---> 
    Package php-pdo.x86_64 0:5.1.6-3.el4s1.5 set to be updated
    ---> Package php-common.x86_64 0:5.1.6-3.el4s1.5 set to be updated
    --> Running transaction check

    Dependencies Resolved

    =============================================================================
     
    Package                 Arch       Version          Repository        Size 
    =============================================================================
    Updating:
     
    mysql                   x86_64     5.0.27-1.el4.centos  centosplus        3.3 M
    Installing 
    for dependencies:
     
    mysqlclient14           x86_64     4.1.22-1.el4s1.1  centosplus        1.2 M
     php
    -common              x86_64     5.1.6-3.el4s1.5  centosplus        135 k
     php
    -pdo                 x86_64     5.1.6-3.el4s1.5  centosplus        228 k
    Updating 
    for dependencies:
     
    mysql-server            x86_64     5.0.27-1.el4.centos  centosplus         10 M
     php
    -mysql               x86_64     5.1.6-3.el4s1.5  centosplus         85 k

    Transaction Summary
    =============================================================================
    Install      3 Package(s)         
    Update       3 Package(s)         
    Remove       0 Package(s)         
    Total download size15 M
    Is this ok 
    [y/N]: y
    Downloading Packages
    :
    Running Transaction Test
    Finished Transaction Test


    Transaction Check Error
    :   file /etc/my.cnf from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/bin/mysql_tableinfo from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/info/mysql.info.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/man/man1/mysql.1.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/charsets/Index.xml from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/czech/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/danish/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/dutch/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/english/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/estonian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/french/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/german/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/greek/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/hungarian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/italian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/japanese/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/korean/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/norwegian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/polish/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/portuguese/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/romanian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/russian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/serbian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/slovak/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/spanish/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/swedish/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-5.0.27-1.el4.centos conflicts with file from package mysql-4.1.20-2.RHEL4.1
      file 
    /etc/php.ini from install of php-common-5.1.6-3.el4s1.5 conflicts with file from package php-4.3.9-3.22.3
    [root@server1 etc]
     
Loading...